系统都需要什么软件才能正常编译软件

为当前最终发行版之前的所有版本提供支持
回复
ahlai
帖子: 141
注册时间: 2006-05-03 9:10
送出感谢: 0
接收感谢: 0

系统都需要什么软件才能正常编译软件

#1

帖子 ahlai » 2007-11-23 8:37

玩linux已经好多年了,
一直都是下载现成的deb或rpm
现在总想自己编译软件
可是在编译软件的过程中
总是提示缺少这样那样的东西,
到底需要安装什么软件才能在编译软件的时候不会提示缺少这样的库那样的库,或者其它
在遇到缺少x库时该怎么样办?
DSYin2007
帖子: 131
注册时间: 2007-09-19 13:48
送出感谢: 0
接收感谢: 0

Re: 系统都需要什么软件才能正常编译软件

#2

帖子 DSYin2007 » 2007-11-23 9:01

请用好新立得。
系统->系统管理->新立得软件包管理器
starboys
帖子: 132
注册时间: 2007-06-30 20:33
送出感谢: 0
接收感谢: 0

#3

帖子 starboys » 2007-11-23 9:34

使用apt-get build-dep命令解决依赖问题。如要编译mplayer就用
sudo apt-get build-dep mplayer
就装上了mplayer编译需要的文件。如果不是源里有的软件的话也可以先找一个或几个类似的软件用这个命令装一些东西,再看还少什么,这时可以用ls的方法装或用apt-cache search来查找。
回复

回到 “老旧版本支持”